<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Zone;

class ZonePolicy
{
    public function viewAny(User $user): bool
    {
        return $user->can('zone.view');
    }

    public function view(User $user, Zone $zone): bool
    {
        return $user->can('zone.view');
    }

    public function create(User $user): bool
    {
        return $user->can('zone.create');
    }

    public function update(User $user, Zone $zone): bool
    {
        return $user->can('zone.update');
    }

    public function delete(User $user, Zone $zone): bool
    {
        return $user->can('zone.delete');
    }

    public function restore(User $user, Zone $zone): bool
    {
        return $user->can('zone.delete');
    }

    public function forceDelete(User $user, Zone $zone): bool
    {
        return $user->can('zone.delete');
    }
}
